## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname flask-cors

Name:           python-%{srcname}
Version:        5.0.0
Release:        %autorelease
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
License:        MIT
URL:            https://github.com/corydolphin/%{srcname}
Source0:        https://github.com/corydolphin/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%package -n python3-%{srcname}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask

%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-pytest
BuildRequires:  python3-packaging
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%description -n python3-%{srcname}
Python3 flask_cors package.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%{py3_build}

%install
%{py3_install}

%check
%pytest

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.md README.rst
%{python3_sitelib}/flask_cors/
%{python3_sitelib}/Flask_Cors*.egg-info/

%changelog
## START: Generated by rpmautospec
* Mon Sep 30 2024 František Zatloukal <fzatlouk@redhat.com> - 5.0.0-1
- flask-cors-5.0.0 (RHBZ#2309047)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 4.0.1-2
- Rebuilt for Python 3.13

* Mon Jun 03 2024 František Zatloukal <fzatlouk@redhat.com> - 4.0.1-1
- flask-cors-4.0.1 (RHBZ#2279177 and RHBZ#2276153)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 František Zatloukal <fzatlouk@redhat.com> - 4.0.0-1
- flask-cors-4.0.0 (Fixes RHBZ#2220233, RHBZ#2217548)

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> - 3.1.01-2
- Rebuilt for Python 3.12

* Sun Jun 11 2023 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.1.01-1
- Update to 3.1.01 (fixes RHBZ#2211994)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.0.10-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.0.10-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.10-1
- Update to 3.0.10

* Mon Aug 31 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.9-1
- Update to 3.0.9
- Force tests to pass

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-7
- Rebuilt for Python 3.9

* Wed Apr 01 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.8-6
- Don't require tests to pass (Flask 1.0 fallout)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 09 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.8-1
- Update to 3.0.8

* Thu Jan 31 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.7-1
- Update to 3.0.7

* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-5
- remove debug_package macro
- Add BuildArch to parent package and remove from subpackage

* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-4
- Add python- prefix on source name
- Add a blank line between each changelog report.
- Change the path to build the package on prep step.

* Mon Nov 20 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-3
- Fix Source0 commentary.

* Sun Nov 19 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-2
- Use py3_install and py3_build instead of {__python3}
- Generates a sub package called python3-flask-cors, and keep the source name
as python-flask-cors
- Use py3_dist to resolve Requires and BuildRequires
- Fix rpmlint warnings

* Tue Nov 07 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-1
- Initial packaging work for Fedora

## END: Generated by rpmautospec
